package edb_info_no_permission_admin

import (
	"time"
)

// EdbInfoNoPermissionAdmin 指标不可见用户配置表
type EdbInfoNoPermissionAdmin struct {
	ID         uint32    `gorm:"primaryKey;column:id;type:int(11) unsigned;not null" json:"-"`
	EdbInfoID  int       `gorm:"column:edb_info_id;type:int(11);not null;default:0" json:"edbInfoId"` // 指标id
	AdminID    int       `gorm:"column:admin_id;type:int(11);not null;default:0" json:"adminId"`      // 用户id
	CreateTime time.Time `gorm:"column:create_time;type:datetime;default:null" json:"createTime"`     // 创建时间
}

// TableName get sql table name.获取数据库表名
func (m *EdbInfoNoPermissionAdmin) TableName() string {
	return "edb_info_no_permission_admin"
}

// EdbInfoNoPermissionAdminColumns get sql column name.获取数据库列名
var EdbInfoNoPermissionAdminColumns = struct {
	ID         string
	EdbInfoID  string
	AdminID    string
	CreateTime string
}{
	ID:         "id",
	EdbInfoID:  "edb_info_id",
	AdminID:    "admin_id",
	CreateTime: "create_time",
}
